<?
/**
 * VoiceOne Settings/Tool/application
 *
 * Frontend to provide access to the tech system in voiceone.
 * @package voiceone
 * @subpackage  settings_tool
 */
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();

  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delApplication($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">L'applicazione è stata correttamente eliminata</div>";
    else $alert="<div class=\"AlertBad\">L'applicazione NON è stata eliminata</div>";
  }
  
  //--------------------------------------------------------------------------
  $count=0; 
  $ret=$asterisk->getApplication(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  if (is_array($ret)) 
  foreach($ret as $a) {
    $id=$a["id"];
    $label=$a["label"];
    $extension=$a["extension"];
    $appList.="<tr><td class=\"postit\"><strong>$extension</strong></td><td><a href=\"./edit/?id=$id\"> $label</a></td></tr>";
    $html.="<td><a href=\"./edit/?id=$id\">$label</a>  <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Are you sure to delete the application?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
    if ((++$count)%2==0) $html.="</tr><tr>\n";
  }
  
  $title="Available Application";
  //================ MAIN CONTENTS ================
  ob_start();
  ?>

  <?$sel="application";include("../navigation.php");?>
  
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$title?></h1>
    <h3><a href="./edit/index.php" class="admin">Add a new Application</a></h3>
  </div>

  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["isdngrp"][""]?>Application List</h1>
          <p><?=$cwlang["isdngrp"][""]?>Choose the application you want to edit
            <table>
              <?=$appList?>
            </table>
          </p>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "application");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

